BST SHELL(1)

NAME
bst-shell - Shell into an element's sandbox environment

SYNOPSIS
bst shell [OPTIONS] TARGET [COMMAND]...

DESCRIPTION
Run a command in the target element's sandbox environment This will first stage a temporary sysroot for running the target element, assuming it has already been built and all required artifacts are in the local cache. Use the --build option to create a temporary sysroot for building the element instead. Use the --sysroot option with an existing failed build directory or with a checkout of the given target, in order to use a specific sysroot. If no COMMAND is specified, the default is to attempt to run an interactive shell with `sh -i`.

OPTIONS

-b, --build
    Create a build sandbox

-s, --sysroot DIRECTORY
    An existing sysroot

--variant TEXT
    A variant of the specified target